FreeMat

- Main Page
- Related Pages

vtkSplineGraphEdges

Section: Visualization Toolkit Infovis Classes

# Usage

vtkSplineGraphEdges uses a vtkSpline to make edges into nicely sampled splines. By default, the filter will use an optimized b-spline. Otherwise, it will use a custom vtkSpline instance set by the user.

To create an instance of class vtkSplineGraphEdges, simply invoke its constructor as follows

      obj = vtkSplineGraphEdges

# Methods

The class vtkSplineGraphEdges has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSplineGraphEdges class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSplineGraphEdges = obj.NewInstance ()`
- `vtkSplineGraphEdges = obj.SafeDownCast (vtkObject o)`
- `obj.SetSpline (vtkSpline s)` - If SplineType is CUSTOM, uses this spline.
- `vtkSpline = obj.GetSpline ()` - If SplineType is CUSTOM, uses this spline.
- `obj.SetSplineType (int )` - Spline type used by the filter. BSPLINE (0) - Use optimized b-spline (default). CUSTOM (1) - Use spline set with SetSpline.
- `int = obj.GetSplineType ()` - Spline type used by the filter. BSPLINE (0) - Use optimized b-spline (default). CUSTOM (1) - Use spline set with SetSpline.
- `obj.SetNumberOfSubdivisions (vtkIdType )` - The number of subdivisions in the spline.
- `vtkIdType = obj.GetNumberOfSubdivisions ()` - The number of subdivisions in the spline.